org.codehaus.groovy.ast.expr

## Class TernaryExpression

- java.lang.Object
- - org.codehaus.groovy.ast.ASTNode
  - - org.codehaus.groovy.ast.AnnotatedNode
    - - org.codehaus.groovy.ast.expr.Expression
      - - org.codehaus.groovy.ast.expr.TernaryExpression

- Direct Known Subclasses:
    ElvisOperatorExpression

      public class TernaryExpression
      extends Expression

  Represents a ternary expression (booleanExpression) ? expression : expression

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TernaryExpression(BooleanExpression booleanExpression, Expression trueExpression, Expression falseExpression)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BooleanExpression` | `getBooleanExpression()`
    `Expression` | `getFalseExpression()`
    `String` | `getText()`
    `Expression` | `getTrueExpression()`
    `ClassNode` | `getType()`
    `String` | `toString()`
    `Expression` | `transformExpression(ExpressionTransformer transformer)` Return a copy of the expression calling the transformer on any nested expressions
    `void` | `visit(GroovyCodeVisitor visitor)`

    - ### Methods inherited from class org.codehaus.groovy.ast.expr.Expression

      `setType, transformExpressions, transformExpressions`

    - ### Methods inherited from class org.codehaus.groovy.ast.AnnotatedNode

      `addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`

    - ### Methods inherited from class org.codehaus.groovy.ast.ASTNode

      `copyNodeMetaData, equals, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getNodeMetaData, getNodeMetaData, hashCode, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TernaryExpression

          public TernaryExpression(BooleanExpression booleanExpression,
                                   Expression trueExpression,
                                   Expression falseExpression)

  - ### Method Detail

    - #### visit

          public void visit(GroovyCodeVisitor visitor)

      Overrides:
        `visit` in class `ASTNode`

    - #### transformExpression

          public Expression transformExpression(ExpressionTransformer transformer)

      Description copied from class: `Expression`
      Return a copy of the expression calling the transformer on any nested expressions
      Specified by:
        `transformExpression` in class `Expression`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getBooleanExpression

          public BooleanExpression getBooleanExpression()

    - #### getFalseExpression

          public Expression getFalseExpression()

    - #### getTrueExpression

          public Expression getTrueExpression()

    - #### getText

          public String getText()

      Overrides:
        `getText` in class `ASTNode`

    - #### getType

          public ClassNode getType()

      Overrides:
        `getType` in class `Expression`